org.apache.tinkerpop.gremlin.structure

## Class VariablesTest.GraphVariablesFeatureSupportTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VariablesTest.GraphVariablesFeatureSupportTest

- Enclosing class:
    VariablesTest

      public static class VariablesTest.GraphVariablesFeatureSupportTest
      extends AbstractGremlinTest

  Tests for feature support on `Graph.Variables`. The tests validate if `Graph.Features.VariableFeatures` should be turned on or off and if the enabled features are properly supported by the implementation. Note that these tests are run in a separate test class as they are "parameterized" tests.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `featureName`
    `Object` | `value`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphVariablesFeatureSupportTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldSetValueOnGraph()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### featureName

          public String featureName

    - #### value

          public Object value

  - ### Constructor Detail

    - #### GraphVariablesFeatureSupportTest

          public GraphVariablesFeatureSupportTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldSetValueOnGraph

          public void shouldSetValueOnGraph()
                                     throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.